### A free/open-source library for quantitative finance

Functions
ql/utilities/dataformatters.hpp File Reference

output manipulators More...

`#include <ql/utilities/null.hpp>`
`#include <ostream>`
Include dependency graph for dataformatters.hpp:

## Functions

template<typename T >
std::ostream & | operator<< (std::ostream &, const null_checker< T > &)
std::ostream & | operator<< (std::ostream &, const ordinal_holder &)
template<typename T >
std::ostream & | operator<< (std::ostream &, const power_of_two_holder< T > &)
std::ostream & | operator<< (std::ostream &, const percent_holder &)
template<typename I >
std::ostream & | operator<< (std::ostream &, const sequence_holder< I > &)
template<typename T >
detail::null_checker< T > | checknull (T)
| check for nulls before output
detail::ordinal_holder | ordinal (Size)
| outputs naturals as 1st, 2nd, 3rd...
template<typename T >
detail::power_of_two_holder< T > | power_of_two (T)
| output integers as powers of two
detail::percent_holder | percent (Real)
| output reals as percentages
detail::percent_holder | rate (Rate)
| output rates and spreads as percentages
detail::percent_holder | volatility (Volatility)
| output volatilities as percentages
template<class Container >
detail::sequence_holder < typename Container::const_iterator > | sequence (const Container &c)
| output STL-compliant containers as space-separated sequences

## Detailed Description

output manipulators